#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "../fs/file_blk_dev.h"
#include "../fs/mufs.h"

int main(int argc, char **argv)
{
	struct file_blk_dev dev;
	struct mufs fs;
	int fs_size      = 1024 * 1024;
	int cluster_size = 1024;
	int inode_count  = 2048;
	char *path       = "demo.fs";

	file_blk_dev_create(&dev, path, 512, fs_size);
	mufs_format(&dev.blk_dev, cluster_size / 512, inode_count);

	mufs_open(&fs, &dev.blk_dev);
//	mufs_mkdir(&fs, "/foo");

//	struct mufs_fd *f = mufs_file_open(&fs, "/foo/bar.txt", 0);
//	for (int i = 0; i < 100; i++)
//		mufs_file_write(f, (unsigned char *)"Hello world!", strlen("Hello World!"));
//	mufs_file_close(f);
	return 0;
}
